Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class GOST3410ParameterSpec

    java.lang.Object
      org.bouncycastle.jce.spec.GOST3410ParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec, GOST3410Params

    public class GOST3410ParameterSpec

extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec, GOST3410Params

ParameterSpec for a GOST 3410-94 key.

Constructor Summary
`GOST3410ParameterSpec(GOST3410PublicKeyParameterSetSpec spec)`
`GOST3410ParameterSpec(java.lang.String keyParamSetID)`
`GOST3410ParameterSpec(java.lang.String keyParamSetID, java.lang.String digestParamSetOID)`
`GOST3410ParameterSpec(java.lang.String keyParamSetID, java.lang.String digestParamSetOID, java.lang.String encryptionParamSetOID)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`static GOST3410ParameterSpec` `fromPublicKeyAlg(GOST3410PublicKeyAlgParameters params)`
`java.lang.String` `getDigestParamSetOID()`
`java.lang.String` `getEncryptionParamSetOID()`
`GOST3410PublicKeyParameterSetSpec` `getPublicKeyParameters()`
`java.lang.String` `getPublicKeyParamSetOID()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410ParameterSpec

    public GOST3410ParameterSpec(java.lang.String keyParamSetID,
                                 java.lang.String digestParamSetOID,
                                 java.lang.String encryptionParamSetOID)

### GOST3410ParameterSpec

    public GOST3410ParameterSpec(java.lang.String keyParamSetID,
                                 java.lang.String digestParamSetOID)

### GOST3410ParameterSpec

    public GOST3410ParameterSpec(java.lang.String keyParamSetID)

### GOST3410ParameterSpec

    public GOST3410ParameterSpec(GOST3410PublicKeyParameterSetSpec spec)

Method Detail

### getPublicKeyParamSetOID

    public java.lang.String getPublicKeyParamSetOID()

  Specified by:
    `getPublicKeyParamSetOID` in interface `GOST3410Params`

### getPublicKeyParameters

    public GOST3410PublicKeyParameterSetSpec getPublicKeyParameters()

  Specified by:
    `getPublicKeyParameters` in interface `GOST3410Params`

### getDigestParamSetOID

    public java.lang.String getDigestParamSetOID()

  Specified by:
    `getDigestParamSetOID` in interface `GOST3410Params`

### getEncryptionParamSetOID

    public java.lang.String getEncryptionParamSetOID()

  Specified by:
    `getEncryptionParamSetOID` in interface `GOST3410Params`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### fromPublicKeyAlg

    public static GOST3410ParameterSpec fromPublicKeyAlg(GOST3410PublicKeyAlgParameters params)

Bouncy Castle Cryptography Library 1.45